Package ghidra.sleigh.grammar

# Class AbstractSleighParser

java.lang.Object
org.antlr.runtime.BaseRecognizer
org.antlr.runtime.Parser
ghidra.sleigh.grammar.AbstractSleighParser

All Implemented Interfaces:
  `SleighRecognizerConstants`

Direct Known Subclasses:
  `SleighParser`, `SleighParser_DisplayParser`, `SleighParser_SemanticParser`

public class AbstractSleighParser extends org.antlr.runtime.Parser implements SleighRecognizerConstants

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected ParsingEnvironment`
  `env`
  `protected SleighLexer`
  `lexer`

  ### Fields inherited from class org.antlr.runtime.Parser

  `input`

  ### Fields inherited from class org.antlr.runtime.BaseRecognizer

  `DEFAULT_TOKEN_CHANNEL, HIDDEN, INITIAL_FOLLOW_STACK_SIZE, MEMO_RULE_FAILED, MEMO_RULE_UNKNOWN, NEXT_TOKEN_RULE_NAME, state`

  ### Fields inherited from interface ghidra.sleigh.grammar.SleighRecognizerConstants

  `BASE, COMMENT, DISPLAY, PREPROC, SEMANTIC`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractSleighParser(org.antlr.runtime.TokenStream input)`
  `AbstractSleighParser(org.antlr.runtime.TokenStream input, org.antlr.runtime.RecognizerSharedState state)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `bail(String msg)`
  `void`
  `emitErrorMessage(String msg)`
  `String`
  `getErrorHeader(org.antlr.runtime.RecognitionException e)`
  `String`
  `getErrorMessage(org.antlr.runtime.RecognitionException e, String[] tokenNames)`
  `String`
  `getTokenErrorDisplay(org.antlr.runtime.Token t)`
  `void`
  `setEnv(ParsingEnvironment env)`
  `void`
  `setLexer(SleighLexer lexer)`

  ### Methods inherited from class org.antlr.runtime.Parser

  `getCurrentInputSymbol, getMissingSymbol, getSourceName, getTokenStream, reset, setTokenStream, traceIn, traceOut`

  ### Methods inherited from class org.antlr.runtime.BaseRecognizer

  `alreadyParsedRule, beginResync, combineFollows, computeContextSensitiveRuleFOLLOW, computeErrorRecoverySet, consumeUntil, consumeUntil, displayRecognitionError, endResync, failed, getBacktrackingLevel, getGrammarFileName, getNumberOfSyntaxErrors, getRuleInvocationStack, getRuleInvocationStack, getRuleMemoization, getRuleMemoizationCacheSize, getTokenNames, match, matchAny, memoize, mismatchIsMissingToken, mismatchIsUnwantedToken, pushFollow, recover, recoverFromMismatchedSet, recoverFromMismatchedToken, reportError, setBacktrackingLevel, toStrings, traceIn, traceOut`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### env

    protected ParsingEnvironment env

  - ### lexer

    protected SleighLexer lexer

- ## Constructor Details

  - ### AbstractSleighParser

    public AbstractSleighParser(org.antlr.runtime.TokenStream input)

  - ### AbstractSleighParser

    public AbstractSleighParser(org.antlr.runtime.TokenStream input, org.antlr.runtime.RecognizerSharedState state)

- ## Method Details

  - ### bail

    protected void bail(String msg)

  - ### emitErrorMessage

    public void emitErrorMessage(String msg)
    Overrides:
      `emitErrorMessage` in class `org.antlr.runtime.BaseRecognizer`

  - ### getErrorHeader

    public String getErrorHeader(org.antlr.runtime.RecognitionException e)
    Overrides:
      `getErrorHeader` in class `org.antlr.runtime.BaseRecognizer`

  - ### getErrorMessage

    public String getErrorMessage(org.antlr.runtime.RecognitionException e, String[] tokenNames)
    Overrides:
      `getErrorMessage` in class `org.antlr.runtime.BaseRecognizer`

  - ### getTokenErrorDisplay

    public String getTokenErrorDisplay(org.antlr.runtime.Token t)
    Overrides:
      `getTokenErrorDisplay` in class `org.antlr.runtime.BaseRecognizer`

  - ### setEnv

    public void setEnv(ParsingEnvironment env)

  - ### setLexer

    public void setLexer(SleighLexer lexer)